# Generated by Django 4.0a1 on 2021-10-23 12:17

import datetime
import django.core.validators
from django.db import migrations, models
import students.validators
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("students", "0009_course_student_course"),
    ]

    operations = [
        migrations.AlterField(
            model_name="course",
            name="id",
            field=models.UUIDField(
                default=uuid.uuid4,
                editable=False,
                primary_key=True,
                serialize=False,
                unique=True,
            ),
        ),
        migrations.AlterField(
            model_name="course",
            name="start_date",
            field=models.DateField(default=datetime.date(2021, 10, 23), null=True),
        ),
        migrations.AlterField(
            model_name="student",
            name="email",
            field=models.EmailField(
                max_length=120,
                null=True,
                validators=[students.validators.no_elon_validator],
            ),
        ),
        migrations.CreateModel(
            name="Teacher",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        max_length=60,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        max_length=80,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                (
                    "email",
                    models.EmailField(
                        max_length=120,
                        null=True,
                        validators=[students.validators.no_elon_validator],
                    ),
                ),
                (
                    "phone_number",
                    models.CharField(
                        max_length=14,
                        null=True,
                        unique=True,
                        validators=[
                            django.core.validators.RegexValidator("\\d{10,14}")
                        ],
                    ),
                ),
                ("course", models.ManyToManyField(to="students.Course")),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
